//+------------------------------------------------------------------+
//|                                             nn_CrosshairSync.mq4 |
//|                                                      nicholishen |
//|                            http://www.reddit.com/u/nicholishenFX |
//+------------------------------------------------------------------+
#property copyright "nicholishen"
#property link      "http://www.reddit.com/u/nicholishenFX"
#property version   "2.13"
#property strict
#property indicator_chart_window
#include <CrosshairManager.mqh>
#property icon "cross.ico"
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//--- input parameters
input string            hot_key        = "t";               //Hot-key to toggle crosshairs
input color             cross_col      = clrWhite;          //Crosshair color
input ENUM_BASE_CORNER  button_corner  = CORNER_LEFT_LOWER; //Corner for toggle button
input ENUM_LINE_STYLE   line_style     = STYLE_SOLID;       //Line style
input bool              show_all_charts= true;              //Show verical line on all charts 

CCrossManager cross_mgr(cross_col,button_corner,line_style,hot_key,show_all_charts);
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
{
   return(INIT_SUCCEEDED);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
{
   return(rates_total);
}
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
   cross_mgr.OnChartEvent(id,lparam,dparam,sparam);
}
//+------------------------------------------------------------------+
void OnTimer()
{
  cross_mgr.OnTimer();
}
